\chapter{Preface}
\label{chap:preface}

This script contains notes and hints to accompany the course on finite
element method computer exercises.

\section{Course Chronology}

\begin{enumerate}[1. Lecture: ]
\item
  \begin{itemize}
  \item Comprehensive introduction to \matlab (matrices, handles)
  \item Comprehensive introduction to object oriented programming paradigms (classes, inheritance, interfaces)
  \end{itemize}
\item Chapter \ref{chap:interpolation} especially section \ref{sec:lagr_poly}
  \begin{itemize}
  \item Theory of interpolation
  \item Start coding (explain mercurial repository, {\tt set\_env.m}, creating project structure)
  \item Implement {\tt model.shape.Lagrange}
  \end{itemize}
\item Section \ref{sec:shape_functions}
  \begin{itemize}
  \item Implement {\tt model.shape.Shape} and {\tt model.shape.QuadShape}
  \end{itemize}
\item Chapter \ref{chap:num_int}
  \begin{itemize}
  \item Theory of Numerical Integration
  \item Implement {\tt model.IntegrationPoint}
  \item Explain {\tt math.NumIntIO} and implement {\tt math.NumInt}
  \end{itemize}
\item Chapter \ref{sec:fe_method} especially section
  \ref{sec:elasticity_theory} and parts of section
  \ref{sec:discretization} (no coding)
\item Chapter \ref{chap:software} starting with section \ref{sec:model}
  \begin{itemize}
  \item Explain the main classes of the model and their interactions
  \end{itemize}
\item 
  \begin{itemize}
  \item Implement {\tt model.load.*} (see section \ref{sec:load})
  \item Implement {\tt model.dof.*} (see section \ref{sec:soofea.model.dof})
  \item Discuss the input handling (section \ref{sec:preprocessing})
  \end{itemize}
\item Section \ref{sec:analyzer}
  \begin{itemize}
  \item Implementing the base structure for the analyisis
  \item Implement the Jacobian Matrix (see section \ref{isoparametric}) 
  \end{itemize}
\item Section \ref{sec:discretization}
  \begin{itemize}
  \item Implement {\tt analyze.QuadImpl}, especially the method {\tt calcElementStiffness()}
  \item Realize the assembling algorithm (section \ref{sec:assembling})
  \item Integration of the boundary conditions (section
    \ref{sec:dirichlet_bc} and \ref{sec:neumann_bc})
  \end{itemize}
\item 
  \begin{itemize}
  \item Finalize the implementation
  \item Caculate some examples
  \item Do some post processing (section \ref{sec:postprocessing})
  \end{itemize}
\end{enumerate}


%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "main"
%%% End: 
